List refresh requests
curl --request GET \
--url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/subjects/{subject_type}/{subject_id}/refresh-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/subjects/{subject_type}/{subject_id}/refresh-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/subjects/{subject_type}/{subject_id}/refresh-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_type": "<string>",
"subject_id": "<string>",
"requesting_tenant_id": "<string>",
"reason_code": "<string>",
"message": "<string>",
"requested_paths": [
"<string>"
],
"fulfilled_snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"fulfilled_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "Authentication required."
}
}{
"error": {
"code": "forbidden",
"message": "Owner or grant required."
}
}Refresh Requests
List Refresh Requests
Returns refresh requests for the subject visible to the calling tenant.
GET
/
v1
/
subjects
/
{subject_type}
/
{subject_id}
/
refresh-requests
List refresh requests
Authorizations
Firebase Auth JWT issued by Google Identity Platform.
Obtain a token by signing in at your app domain and calling
firebase.auth().currentUser.getIdToken().
Path Parameters
Subject type discriminator.
Available options:
individual, organization Stable subject identifier within its type namespace.
Query Parameters
Maximum number of results to return.
Required range:
x <= 100Opaque pagination cursor from a previous response's next_cursor.
⌘I